EUrouter

Responses

API reference for Responses

OpenAPI JSON

Create response

POST
/api/v1/responses

Authorization

bearerAuth
AuthorizationBearer <token>

API key in format: eur_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.eurouter.ai/api/v1/responses" \  -H "Content-Type: application/json" \  -d '{    "model": "mistral-large-3",    "input": "Explain EU data residency in one sentence."  }'
{
  "id": "string",
  "object": "response",
  "created_at": 0,
  "status": "queued",
  "model": "string",
  "provider": "string",
  "output": [
    {
      "type": "message",
      "id": "string",
      "role": "assistant",
      "status": "in_progress",
      "content": [
        {
          "type": "output_text",
          "text": "string",
          "annotations": [
            null
          ],
          "logprobs": [
            null
          ]
        }
      ]
    }
  ],
  "output_text": "string",
  "usage": {
    "input_tokens": 0,
    "output_tokens": 0,
    "total_tokens": 0,
    "cost": 0,
    "cost_currency": "USD",
    "cost_eur": 0,
    "is_byok": true,
    "cost_details": {
      "property1": 0,
      "property2": 0
    },
    "input_tokens_details": {
      "cached_tokens": 0
    },
    "output_tokens_details": {
      "reasoning_tokens": 0
    },
    "property1": null,
    "property2": null
  },
  "completed_at": 0,
  "error": {
    "code": "string",
    "message": "string"
  },
  "incomplete_details": {
    "reason": "max_output_tokens"
  },
  "billing": {
    "payer": "string"
  },
  "frequency_penalty": 0,
  "conversation": {
    "id": "string",
    "property1": null,
    "property2": null
  },
  "instructions": "string",
  "max_output_tokens": 0,
  "max_tool_calls": 0,
  "moderation": null,
  "parallel_tool_calls": true,
  "presence_penalty": 0,
  "previous_response_id": "string",
  "prompt": {
    "property1": null,
    "property2": null
  },
  "prompt_cache_key": "string",
  "prompt_cache_retention": "string",
  "reasoning": {
    "effort": "none",
    "generate_summary": "auto",
    "summary": "auto",
    "property1": null,
    "property2": null
  },
  "safety_identifier": "string",
  "store": true,
  "temperature": 0,
  "text": {
    "format": {
      "type": "text",
      "description": "string",
      "name": "string",
      "schema": null,
      "strict": true
    },
    "verbosity": "string"
  },
  "tool_choice": "string",
  "tools": [
    null
  ],
  "top_logprobs": 0,
  "top_p": 0,
  "truncation": "auto",
  "user": "string",
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "background": true,
  "service_tier": "string",
  "property1": null,
  "property2": null
}

Was this page helpful?

Still stuck? Contact support